import { Observable } from "rxjs/Observable";
import { HttpClient, HttpErrorResponse } from "@angular/common/http";
import { InjectionToken } from "@angular/core";
/**
 * 错误处理
 */
export declare type HandleError = <T>(operation?: string, result?: T) => (error: HttpErrorResponse) => Observable<T>;
/**
 * 环境变量设置
 */
export declare const YAYA_API_ENV: InjectionToken<string>;
/**
 * http请求封装
 */
export declare class YHttp {
    private http;
    private env;
    private createHandleError;
    constructor(http: HttpClient, env: any);
    get<T>(apiCode: string, T: any): Observable<T>;
    post<T>(apiCode: string, body: any, T: any): Observable<T>;
    private handleError<T>(api?, result?);
    private getPathByCode(code);
    private fullPath(uri);
}
